0

I have been trying to install the php7.4 on the Raspberry Pi Zero but it seems the device cannot run that version, as I keep getting illegal instruction error after installing the packages. Guides I followed: https://janw.me/2019/installing-php7-4-rapsberry-pi/ and other similar guides with the same instructions. This similar question does not seem to have been able to do it: PHP 7.4 on raspbian I am installing the armhf version from the repository before anyone asks. Has anyone been able to run the php7.4 on Rpi Zero W specifically?
Can anyone confirm? Thank you

  • 1
    From my perspective you have downloaded and run a package of unknown provenance from a site with unknown provenance. This is how security breaches happen. – joan Sep 16 '20 at 10:24
  • If you are desperate (for whatever reason) to install php7.4 on ARM6 you will need to compile from source - you will not find an existing deb. You may also have to compile dependencies. – Milliways Sep 16 '20 at 11:26
  • I see thank you for the input – Birdy Kun Sep 17 '20 at 6:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.